Show / Hide Table of Contents

# UnityAsyncExtensions.AssetBundleCreateRequestAwaiter Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct AssetBundleCreateRequestAwaiter : ICriticalNotifyCompletion

##### Implements

ICriticalNotifyCompletion

### Members

#### Constructors

Name | Description
--- | ---
AssetBundleCreateRequestAwaiter(AssetBundleCreateRequest) |

#### Properties

Name | Description
--- | ---
IsCompleted |

#### Methods

Name | Description
--- | ---
GetResult() |
OnCompleted(Action) |
UnsafeOnCompleted(Action) |

### Constructors

#### AssetBundleCreateRequestAwaiter(AssetBundleCreateRequest)

    public AssetBundleCreateRequestAwaiter(AssetBundleCreateRequest asyncOperation)

##### Parameters

`asyncOperation` AssetBundleCreateRequest

### Properties

#### IsCompleted

    public bool IsCompleted { get; }

##### Property Value

System.Boolean

### Methods

#### GetResult()

    public AssetBundle GetResult()

##### Returns

AssetBundle

#### OnCompleted(Action)

    public void OnCompleted(Action continuation)

##### Parameters

`continuation` Action

#### UnsafeOnCompleted(Action)

    public void UnsafeOnCompleted(Action continuation)

##### Parameters

`continuation` Action

### Implements

ICriticalNotifyCompletion